## libpam-krb5 4.3

=== debian/changelog ===
libpam-krb5 (4.3-1) unstable; urgency=low

  * New upstream release.
    - New fast_ccache option, which if set attempts to use credentials in
      that ticket cache to protect the Kerberos authentication with FAST.
      Requires FAST support in the Kerberos libraries and hence only is
      available in libpam-krb5, not libpam-heimdal, for right now.
    - Fix error in freeing a previous alt_auth_map setting.
  * Switch to 3.0 (quilt) source format.  Force a single Debian patch and
    include a custom patch header explaining that it is a rollup of any
    fixes cherry-picked from upstream and breaking those patches out
    separately would be work for no gain.

 -- Russ Allbery <rra@debian.org>  Wed, 09 Jun 2010 18:08:04 -0700

libpam-krb5 (4.2-2) unstable; urgency=low

  * Build libpam-krb5 and libpam-heimdal from the same source package.
  * Acknowledge libpam-heimdal NMU.
    - Rebuild against current Heimdal libraries.  (Closes: #559779)
    - Add support for pam-auth-update.  (Closes: #551455)
  * Lower libpam-heimdal priority to extra, since it conflicts with
    libpam-krb5 and the MIT Kerberos version will be sufficient for most
    users.
  * Fix spelling error in manual page.
  * Update standards version to 3.8.4 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 03 Feb 2010 23:41:39 -0800

libpam-krb5 (4.2-1) unstable; urgency=low

  * New upstream release.
    - New fail_pwchange option which treats expired passwords like
      authentication failure and suppresses password change.

 -- Russ Allbery <rra@debian.org>  Wed, 25 Nov 2009 17:37:03 -0800

libpam-krb5 (4.1-1) unstable; urgency=low

  * New upstream release.
    - Fix return status for pam_setcred for ignored users and non-Kerberos
      logins to return success.  Returning failure breaks PAM
      configurations using jumps, since modules doing jumps become
      required on the pam_setcred pass through the auth group.
    - During the second pass through the password group, always prompt for
      and store the new password even if the user is ignored.  This is
      required to allow this module to be stacked with another module that
      uses use_authtok.  Thanks, Steve Langasek.  (Closes: #545824)
    - Log successful authentications with priority LOG_INFO.
    - Log failed authentications with priority LOG_NOTICE.
    - Use pam_syslog for logging and rationalize all logging to follow the
      Linux PAM recommendations.

 -- Russ Allbery <rra@debian.org>  Fri, 20 Nov 2009 16:09:05 -0800

libpam-krb5 (4.0-1) unstable; urgency=low

  * New upstream release.
    - Add force_first_pass parameter to auth and password groups to force
      use of the password in the PAM data even if none is set, replacing
      part of the old meaning of use_authtok.
    - use_authtok now only affects the new password during password
      change, although use_authtok in the auth group has the old meaning
      for backward compatibility.  (Closes: #549188)
    - use_first_pass and try_first_pass no longer affect how the new
      password is obtained during password changes.
    - Stop returning PAM_IGNORE from pam_setcred.  This confuses older
      versions of the Linux PAM library.
    - Better logging in pam_sm_{open,close}_session.
  * Add try_first_pass to the pam-krb5 password group pam-auth-update
    configuration.  Unlike the previous behavior, this means that if the
    Kerberos password is different than the password of an earlier module
    in the password group, pam-krb5 will now prompt the user for the
    Kerberos password.
  * Remove the libtool *.la file and set the permissions of pam_krb5.so
    properly to work around the annoyances of switching to libtool.
  * Update standards version to 3.8.3 (no changes required).

 -- Russ Allbery <rra@debian.org>  Fri, 13 Nov 2009 18:19:45 -0800

libpam-krb5 (3.15-1) unstable; urgency=low

  * New upstream release.
    - Fix a segfault if pam-krb5 is configured with use_first_pass or
      use_authtok and there is no stored password.  Thanks, Jonathan
      Guthrie. (Closes: #537729)

 -- Russ Allbery <rra@debian.org>  Tue, 21 Jul 2009 09:24:26 -0700

libpam-krb5 (3.14-1) unstable; urgency=low

  * New upstream release.
    - Always treat an empty password as an authentication failure rather
      than passing it to the Kerberos libraries, which may treat it as no
      password and prompt without our knowledge.  This prompting could
      lead to authenticating with a password unknown to the PAM stack,
      which could cause unexpected problems in some PAM configurations.
    - Fix error handling if ticket cache creation fails.  (LP: #395938)
  * Mention the PAM autoconfiguration support in README.Debian.

 -- Russ Allbery <rra@debian.org>  Sat, 18 Jul 2009 15:56:45 -0700

libpam-krb5 (3.13-5) unstable; urgency=medium

  * Urgency medium for RC bug fix.
  * Tighten the dependency on libpam-runtime to ensure that
    pam-auth-update is available.  While it was introduced in Ubuntu at
    1.0.1-4ubuntu1, Debian didn't introduce it until 1.0.1-6.  Thanks,
    Steve Langasek.  (Closes: #537416)
  * Update standards version to 3.8.2 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sat, 18 Jul 2009 00:02:42 -0700

libpam-krb5 (3.13-4) unstable; urgency=low

  * Return PAM_IGNORE for ignored users in pam_chauthtok instead of
    PAM_PERM_DENIED.  This change is necessary for the pam-auth-update
    configuration to work properly.  Thanks, Steve Langasek.

 -- Russ Allbery <rra@debian.org>  Thu, 11 Jun 2009 14:38:10 -0700

libpam-krb5 (3.13-3) unstable; urgency=low

  * Enable pam-auth-update support.  libpam-krb5 will now automatically
    configure pam_krb5 in the PAM common-* configuration unless it has
    been edited by the local administrator.  Thanks to Steve Langasek for
    the implementation.  (Closes: #520793)
  * Rewrite debian/rules to use overrides and depend on debhelper 7.0.50.
  * Change section to admin to match override.

