## libpam-krb5 4.4

=== debian/changelog ===
libpam-krb5 (4.4-3) unstable; urgency=low

  * Change the pam-auth-update configuration to skip remaining password
    stack by default modules if the Kerberos password change succeeds.
    This is more useful behavior for the common case of Kerberos accounts
    not having local passwords.  See README.Debian.gz for information
    about how to synchronize Kerberos and local passwords.  (LP: #826989)
  * Update README.Debian.gz documentation with more current options for
    pam_unix and document password synchronization configuration.
  * Convert to multiarch.  Depend on the multiarch version of libpam0g,
    install the modules into the multiarch version of /lib/security, and
    declare the packages Multi-Arch: same.
  * Update to debhelper compatibility level V9 (experimental).
    - Build-Depend on debhelper 8.9.4 or later for hardening flags.
    - Add Pre-Depends: ${misc:Pre-Depends}.
  * Update standards version to 3.9.2 (no changes required).
  * Fix formal name of the GPL in debian/copyright.  (This will also be
    done upstream in the next release.)

 -- Russ Allbery <rra@debian.org>  Mon, 26 Sep 2011 08:40:43 -0700

libpam-krb5 (4.4-2) unstable; urgency=low

  * Add the architecture to the library path for heimdal-multidev and
    krb5-multidev since the *.so symlinks were moved in 1.5.dfsg.1-1 and
    1.9.1+dfsg-2 respectively.  (Closes: #642688)
  * Tighten build dependencies on heimdal-multidev and krb5-multidev
    accordingly.

 -- Russ Allbery <rra@debian.org>  Sun, 25 Sep 2011 14:09:36 -0700

libpam-krb5 (4.4-1) unstable; urgency=low

  * New upstream release.
    - Do not prompt for a password when try_pkinit is set, removing a
      spurious password prompt introduced in 4.1, but partly reintroducing
      a bug causing the password to not be saved in the PAM data if
      authentication falls back to password after a PKINIT failure.
    - Organize the pam_krb5 man page into sections.
  * Fix custom patch header to refer to pam-krb5, not remctl.
  * Update standards version to 3.9.1.
    - Refer to the GPL version 1 now that it's in common-licenses.
  * Update to debhelper compatibility level V8 (no changes required).

 -- Russ Allbery <rra@debian.org>  Tue, 22 Feb 2011 13:07:05 -0800
