## libpam-krb5 4.5

=== debian/changelog ===
libpam-krb5 (4.5-4) unstable; urgency=low

  * Enable bindnow hardening flags and fix the syntax of the
    DEB_BUILD_MAINT_OPTIONS setting.
  * Bump debhelper dependency to 9 now that compatibility mode V9 is no
    longer experimental.
  * Move single-debian-patch to local-options and patch-header to
    local-patch-header so that they only apply to the packages I build and
    NMUs get regular version-numbered patches.

 -- Russ Allbery <rra@debian.org>  Sat, 04 Feb 2012 13:27:02 -0800

libpam-krb5 (4.5-3) unstable; urgency=low

  * Fix build rule to not override CPPFLAGS, which deactivates some of the
    options passed in by dpkg-buildflags.  Instead, use --with-krb5-lib
    and --with-krb5-include to locate the Kerberos headers and libraries.
    Thanks, Moritz Muehlenhoff.  (Closes: #654293)

 -- Russ Allbery <rra@debian.org>  Tue, 03 Jan 2012 13:38:12 -0800

libpam-krb5 (4.5-2) unstable; urgency=low

  * Cherry-pick upstream patch to fix initialization of krb5_deltat
    defaults on systems where krb5_deltat is not a long.  Should fix FTBFS
    on s390x.

 -- Russ Allbery <rra@debian.org>  Mon, 26 Dec 2011 16:36:21 -0800

libpam-krb5 (4.5-1) unstable; urgency=low

  * New upstream release.
    - The temporary root-only ticket cache is now stored relative to
      ccache_dir rather than hard-coded to be in /tmp.
    - Suppress the notice that the password is being changed because it's
      expired if force_first_pass or use_first_pass are set in the
      password stack.
    - Confirm the password can get kadmin/changepw credentials before
      returning the status code indicating it's expired, working around a
      bug in old Heimdal versions that return expired even for incorrect
      passwords.
    - Better error reporting of authorization (such as .k5login) failures.
    - Prefer the change password protocol when linked with MIT libraries
      for better compatibility with older KDCs.
    - Improve logging and authorization when defer_pwchange is set.
    - Close some memory leaks.
    - Report symbolic names of PAM flags in debug logging.
  * Enable compiler hardening flags.
  * Remove "v5" from the long description.  Kerberos v5 has been the
    default version of Kerberos for over ten years.

 -- Russ Allbery <rra@debian.org>  Sat, 24 Dec 2011 17:34:03 -0800
