=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Enable compiler hardening flags.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -10,18 +13,22 @@
 
 override_dh_auto_configure:
 	mkdir build-mit build-heimdal
-	CPPFLAGS=-I/usr/include/mit-krb5 \
-	    LDFLAGS=-L/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5 \
-	    dh_auto_configure -Bbuild-mit -- --enable-reduced-depends \
-		--libdir=/lib/$(DEB_HOST_MULTIARCH)
-	CPPFLAGS=-I/usr/include/heimdal \
-	    LDFLAGS=-L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal \
-	    dh_auto_configure -Bbuild-heimdal -- --enable-reduced-depends \
-		--libdir=/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -Bbuild-mit -- --enable-reduced-depends \
+	    --libdir=/lib/$(DEB_HOST_MULTIARCH) \
+	    --with-krb5-include=/usr/include/mit-krb5 \
+	    --with-krb5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
+	dh_auto_configure -Bbuild-heimdal -- --enable-reduced-depends \
+	    --libdir=/lib/$(DEB_HOST_MULTIARCH) \
+	    --with-krb5-include=/usr/include/heimdal \
+	    --with-krb5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
 
 override_dh_auto_build:
 	dh_auto_build -Bbuild-mit
 	dh_auto_build -Bbuild-heimdal
+
+override_dh_auto_test:
+	dh_auto_test -Bbuild-mit
+	dh_auto_test -Bbuild-heimdal
 
 override_dh_auto_install:
 	dh_auto_install -Bbuild-mit --destdir=debian/libpam-krb5
