=== debian/watch ===
version=3
http://archives.eyrie.org/software/kerberos/pam-krb5-(.*)\.tar\.gz
