## libpam-krb5 4.7

=== debian/changelog ===
libpam-krb5 (4.7-4+deb9u1) stretch-security; urgency=high

  * SECURITY: Fix potential one-byte buffer overflow when the underlying
    Kerberos library initiates prompting (such as for PKINIT or when the
    no_prompt PAM option is set).  (CVE-2020-10595)

 -- Russ Allbery <rra@debian.org>  Sun, 22 Mar 2020 21:22:06 -0700

libpam-krb5 (4.7-4) unstable; urgency=medium

  * Re-add libpam-heimdal now that Heimdal upstream has released a new
    stable version and seems to be active again.
  * Update to debhelper compatibility level V10.
    - Remove explicit build dependency on dh-autoreconf.
    - Remove explicit --parallel and autoreconf module flags.
  * Drop "v5" from package long descriptions.  Kerberos v5 is now the only
    meaningful version of Kerberos, and there's no reason to qualify it.
  * Remove libpam0g version qualification on dependency.  The required
    version is older than oldstable.

 -- Russ Allbery <rra@debian.org>  Sat, 31 Dec 2016 13:42:47 -0800

libpam-krb5 (4.7-3) unstable; urgency=medium

  * Drop libpam-heimdal since Heimdal is being removed from testing (and
    possibly unstable) as being too buggy and too unsupported upstream for
    Debian to support.  See #837728.  (Closes: #837716)
  * Document restrictions around minimum_uid and pam-auth-update in
    README.Debian (see #756880).
  * Switch to the DEP-14 branch layout and update debian/gbp.conf and
    Vcs-Git accordingly.
  * Switch to https for all package metadata URLs.
  * Run wrap-and-sort -ast on packaging files.
  * Refresh upstream signing key.
  * Update standards version to 3.9.8 (no changes required).

 -- Russ Allbery <rra@debian.org>  Wed, 19 Oct 2016 11:44:18 -0700

libpam-krb5 (4.7-2) unstable; urgency=medium

  * Upload to unstable.
  * Refresh upstream signing key.
  * Add debian/gbp.conf reflecting the branch layout of the default
    packaging repository.

 -- Russ Allbery <rra@debian.org>  Sun, 26 Apr 2015 20:23:59 -0700

libpam-krb5 (4.7-1) experimental; urgency=medium

  * Upload to experimental due to release freeze.
  * New upstream release.
    - Add no_update_user option to disable the normal update of PAM_USER
      after user canonicalization.
    - Suppress spurious Heimdal password prompt when using PKINIT.
    - Map unknown realm errors to PAM_AUTHINFO_UNAVAIL.
    - Treat more error codes as incorrect passwords for better
      compatibility between MIT client libraries and Heimdal KDCs.
    - Add version number when module options were added to the man page.
  * Remove erroneous branch information from Vcs-Git.
  * Fix debian/copyright to match the correct upstream licensing.
  * Update standards version to 3.9.6 (no changes required).

 -- Russ Allbery <rra@debian.org>  Thu, 25 Dec 2014 19:36:00 -0800

libpam-krb5 (4.6-3) unstable; urgency=medium

  * Drop version qualifications on Build-Depends that are satisfied by
    stable.  Drop version qualifications on Depends that are satisfied by
    oldstable.
  * Add the upstream release signing key and verify it in debian/watch.
  * Prefer *.tar.xz in debian/watch to match packaging.
  * Convert debian/copyright to copyright-format 1.0.
  * Specify the Debian packaging branch in the Vcs-Git control field.
  * Update standards version to 3.9.5 (no changes required).

 -- Russ Allbery <rra@debian.org>  Sun, 13 Apr 2014 13:13:38 -0700
