=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Russ Allbery <rra@debian.org>
 Uploaders:
  Sam Hartman <hartmans@debian.org>,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  heimdal-multidev,
  krb5-config,
  krb5-multidev,
@@ -35,7 +35,6 @@
  file, and changing Kerberos passwords.
 
 Package: libpam-heimdal
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
