=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://archives.eyrie.org/software/kerberos/pam-krb5-(.*)\.tar\.xz
