## libpam-krb5 4.9

=== debian/changelog ===
libpam-krb5 (4.9-2) unstable; urgency=medium

  * Apply upstream patch to avoid a double free if calling
    krb5_cc_get_principal on the new cache fails.

 -- Russ Allbery <rra@debian.org>  Sun, 14 Mar 2021 12:31:39 -0700

libpam-krb5 (4.9-1) unstable; urgency=high

  * New upstream release.
    - Fix potential one-byte buffer overflow when relaying prompts from
      the underlying Kerberos library.  (CVE-2020-10595)
    - Support use_pkinit with MIT Kerberos.  (Closes: #871699)
    - Reject passwords as long or longer than PAM_MAX_RESP_SIZE (512
      octets) to avoid denial of service attacks.
    - Use explicit_bzero to erase passwords before freeing.
    - Return more accurate errors from the Kerberos prompter function.
    - Fix an edge-case memory leak in pam_chauthtok.
  * Update to debhelper compatibility level V12.
    - Depend on debhelper-compat instead of debhelper.
  * Update standards version to 4.5.0 (no changes required).
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Mon, 30 Mar 2020 19:46:43 -0700

libpam-krb5 (4.8-2) unstable; urgency=medium

  * Move canonical packaging repository to salsa.debian.org.
  * Update standards version to 4.2.1.
    - Enable verbose test output.
    - Install the upstream release notes as NEWS.gz, not changelog.gz.
    - Add Rules-Requires-Root: no.
  * Add upstream release tag pattern to debian/gbp.conf.
  * Bump watch file version to 4.
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Fri, 31 Aug 2018 10:57:00 -0700
