=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Russ Allbery <rra@debian.org>
 Uploaders:
  Sam Hartman <hartmans@debian.org>,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  heimdal-multidev,
  krb5-config,
  krb5-multidev,
  libpam0g-dev,
+Rules-Requires-Root: no
 Homepage: https://www.eyrie.org/~eagle/software/pam-krb5/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-k5-afs/pam-krb5.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-k5-afs/pam-krb5.git -b debian/master
+Vcs-Browser: https://salsa.debian.org/debian/libpam-krb5
+Vcs-Git: https://salsa.debian.org/debian/libpam-krb5.git -b debian/master
 
 Package: libpam-krb5
 Architecture: any
