## libpam-krb5 4.11

=== debian/changelog ===
libpam-krb5 (4.11-2) unstable; urgency=medium

  [ Niels Thykier ]
  * Migrate to debputy.
    - Fix PAM registration behavior when multiple architectures of the PAM
      module are installed.  The configuration is now removed only if the
      last libpam-krb5 architecture is removed.

  [ Russ Allbery ]
  * Convert the dh_install overrides to debputy manifest directives.
  * Add README.source explaining the maintainer workflow for libpam-krb5.
  * Update standards version to 4.7.0 (no changes required).
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sat, 06 Jul 2024 21:42:00 -0700

libpam-krb5 (4.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM modules into /usr. (Closes: #1061352)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 23:38:28 +0200

libpam-krb5 (4.11-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
    - Do not destroy the ticket cache if pam_end was called with the
      PAM_DATA_SILENT flag set.
  * Set Upstream-Name in debian/copyright.
  * Update standards version to 4.6.0 (no changes required).
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sun, 17 Oct 2021 15:49:06 -0700

libpam-krb5 (4.10-1) experimental; urgency=medium

  * New upstream release.
    - Incorporate patch to avoid double free if krb5_cc_get_principal
      fails on the new cache.
  * Change the default Debian package branch to debian/unstable.
  * Remove the now-unnecessary branch configuration in Vcs-Git.
  * Add debian/upstream/metadata.
  * Represent the weird license of this package with a new identifier,
    BSD-3-clause-or-GPL-1+, rather than trying to use a proper disjunction
    of Debian copyright-format identifiers, since Lintian (rightfully)
    complains about the abuse of "or" and the way the licenses are
    structured.
  * Update to debhelper compat level V13.
  * Update to standards version 4.5.1 (no changes required).
  * Refresh upstream signing key.

 -- Russ Allbery <rra@debian.org>  Sat, 20 Mar 2021 13:07:17 -0700
