=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Russ Allbery <rra@debian.org>
 Uploaders:
  Sam Hartman <hartmans@debian.org>,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ dh-sequence-debputy (>= 0.1.17~),
  heimdal-multidev,
  krb5-config,
  krb5-multidev,
@@ -14,7 +15,7 @@
 Rules-Requires-Root: no
 Homepage: https://www.eyrie.org/~eagle/software/pam-krb5/
 Vcs-Browser: https://salsa.debian.org/debian/libpam-krb5
-Vcs-Git: https://salsa.debian.org/debian/libpam-krb5.git -b debian/master
+Vcs-Git: https://salsa.debian.org/debian/libpam-krb5.git
 
 Package: libpam-krb5
 Architecture: any
