=== debian/rules ===
#!/usr/bin/make -f

# Enable compiler hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# Enable verbose test output.
export C_TAP_VERBOSE = 1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	rm -rf build-mit build-heimdal

override_dh_auto_configure:
	mkdir build-mit build-heimdal
	dh_auto_configure -Bbuild-mit --				     \
	    --enable-reduced-depends --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	    --with-krb5-include=/usr/include/mit-krb5			     \
	    --with-krb5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5	     \
	    --with-kadm-client-include=/usr/include/mit-krb5		     \
	    --with-kadm-client-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
	dh_auto_configure -Bbuild-heimdal --				     \
	    --enable-reduced-depends --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	    --with-krb5-include=/usr/include/heimdal			     \
	    --with-krb5-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal	     \
	    --with-kadm-client-include=/usr/include/heimdal		     \
	    --with-kadm-client-lib=/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal

override_dh_auto_build:
	dh_auto_build -Bbuild-mit
	dh_auto_build -Bbuild-heimdal

override_dh_auto_test:
	dh_auto_test -Bbuild-mit
	dh_auto_test -Bbuild-heimdal

override_dh_auto_install:
	dh_auto_install -Bbuild-mit --destdir=debian/libpam-krb5
	dh_auto_install -Bbuild-heimdal --destdir=debian/libpam-heimdal
